{
  //====== SELECTORS ========
  const S_AVATAR_FORM = 'js-avatar'
  const S_AVATAR_ANNOUNCEMENTS = '.js-avatar-announcements'

  //====== ACTIONS ========
  // Disable loader
  Loader.disable()

  // Find announcements block
  const announcementsBlock = document.querySelector(S_AVATAR_ANNOUNCEMENTS)

  // Remove old announcements
  announcementsBlock.innerHTML = ''

  <% if @updated %>

    // Find form block
    const formBlock = document.getElementById(S_AVATAR_FORM)

    // Replace formBlock content
    formBlock.innerHTML = "<%= j render('staffs/account/partials/form_avatar', staff: @staff) %>"

  <% elsif @staff.errors.any? %>

    announcementsBlock.innerHTML = "<%= j render_announcements(:error, *@staff.errors.full_messages) %>"

  <% end %>

  // Show notification
  Notification.notifyScript("<%= j render_flash_notifications %>")
}
